<div class="component.container">
  <form [formGroup]="internForm" (ngSubmit)="onSubmit()">
    <legend>Ajouter un stagiaire</legend>
    <fieldset>
      <div class="form-field">
        <input type="text" formControlName="lastname" placeholder="Votre nom...">
        <div class="error" *ngIf="internForm.controls['lastname'].errors && internForm.controls['lastname'].touched">
          <span *ngIf="internForm.controls['lastname'].hasError('required')">Le nom ne peut pas être vide</span>
          <span *ngIf="internForm.controls['lastname'].hasError('minlength')">Le nombre de caractères est insuffisant pour le nom</span>
        </div>
      </div>
      <div class="form-field">
        <input type="text" formControlName="firstname" placeholder="Votre prénom...">
        <div class="error" *ngIf="internForm.controls['firstname'].hasError('required') && internForm.controls['firstname'].touched">
          Le prénom ne peut pas être vide
        </div>
      </div>
      <div class="form-field">
        <label for="poeSelect">POE:</label>
        <select formControlName="poeId" id="poeSelect">
          <option value="" disabled selected>Choisissez une POE</option>
          <option *ngFor="let poe of poes" [value]="poe.id">{{ poe.title }}</option>
        </select>
      </div>
    </fieldset>
    <div class="form-field">
      <button [disabled]="internForm.invalid" type="submit">Ajouter</button>
    </div>
  </form>
</div>
